/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#+
#+     Internet Radio Automation & Encoding Toolkit
#+
#+     Copyright (C) 2018, 2019, 2020, 2021, 2022, 2023, 2024 
#+     by Kevin C. O'Kane
#+
#+     Kevin C. O'Kane
#+     kc.okane@gmail.com
#+     https://www.cs.uni.edu/~okane
#+     https://threadsafebooks.com/
#+
#+ This program is free software; you can redistribute it and/or modify
#+ it under the terms of the GNU General Public License as published by
#+ the Free Software Foundation; either version 2 of the License, or
#+ (at your option) any later version.
#+
#+ This program is distributed in the hope that it will be useful,
#+ but WITHOUT ANY WARRANTY; without even the implied warranty of
#+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#+ GNU General Public License for more details.
#+
#+ You should have received a copy of the GNU General Public License
#+ along with this program; if not, write to the Free Software
#+ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#+
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

//	August 11, 2024

#include "includes.h"
#include "defines.h"
#include "common-externs.h"
#include "common-fcn-headers.h"


#include <vlc/libvlc.h>
#include <vlc/libvlc_renderer_discoverer.h>
#include <vlc/libvlc_media.h>
#include <vlc/libvlc_media_player.h>

#define SLASH '/'


void	clipspeed() {

	char tmp[16000], filename[4096], filetype[256];
	time_t tmark = time(0);
	int i, j, k, pcount = 0;

	close_boxes();

	gdouble speed =  gtk_adjustment_get_value(adjustment28);

	gdouble speed1 = 1.0 / speed;

	for (i = 0; i < (SP->scount); i++) {

		if (programData[i]->play) {

                        if (button_flag == RIGHT) {

			sprintf(tmp, "ffmpeg -y -loglevel info -i \"%s\" "
				"-vf fps=25,\"setpts=%4.2f*PTS\"  -af \"atempo=%4.2f\" "
				"  -c:a libmp3lame -b:a 128k -c:v libx264 -preset veryslow -crf 20  -f matroska - | ffplay - -x 640 -y 480 -autoexit &",
                		ProgramArray[i], speed1, speed);

				preview_run(tmp);

                                return;

                                }


			pcount++;

			programData[i]->play = 0;

			new_name(filename, ProgramArray[i], "spd");

//ffmpeg -i input.mp4 -filter:v "setpts=0.5*PTS" output.mp4
// -filter:a "atempo=2.0"

			sprintf(tmp, "ffmpeg -y -loglevel info -i \"%s\" "
				"-vf fps=25,\"setpts=%4.2f*PTS\"  -af \"atempo=%4.2f\"  -c:a libmp3lame -b:a 128k -c:v libx264 -preset veryslow -crf 20  \"%s\"",
                		ProgramArray[i], speed1, speed, filename);

			int err_stat = ff_run("Speed", tmp, i);

		if (err_stat != 0) {
			zippy_says("An error occurred\n");
			sprintf(tmp, "rm \"%s\"", filename);
			return;
			}

			printf("Created: %s\n\n", filename);

			}
		}


	if (!pcount) {
		zippy_says("No files selected.\n");
		}


        clear_play();

        on_scan_video_dir_clicked(NULL);

	}

void	on_clip_speed_pressed(GtkWidget *w) { // radio button
	}



void on_clip_speed_clicked (GtkWidget *w) {

                button_flag = LEFT;
                clipspeed();
                return;
                }


void on_clip_speed1_clicked (GtkWidget *w) {

                button_flag = RIGHT;
                clipspeed();
                return;
                }

