/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#+
#+     Glade / Gtk Programming
#+
#+     Copyright (C) 2020, 2021, 2022, 2023, 2024, 2025
#+      by Kevin C. O'Kane
#+
#+     Kevin C. O'Kane
#+     kc.okane@gmail.com
#+     https://www.cs.uni.edu/~okane
#+     http://threadsafebooks.com/
#+
#+ This program is free software; you can redistribute it and/or modify
#+ it under the terms of the GNU General Public License as published by
#+ the Free Software Foundation; either version 2 of the License, or
#+ (at your option) any later version.
#+
#+ This program is distributed in the hope that it will be useful,
#+ but WITHOUT ANY WARRANTY; without even the implied warranty of
#+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#+ GNU General Public License for more details.
#+
#+ You should have received a copy of the GNU General Public License
#+ along with this program; if not, write to the Free Software
#+ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#+
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

//	January 25 2025

#ifndef COMMON_WIDGETS_H
#define COMMON_WIDGETS_H

GtkWidget *settings_dlg_button;

GtkWidget *clip_duration_spinner;

GtkWidget *crop_video;
GtkWidget *crop_adj;

GtkWidget *moving_label;
GtkWidget *set_fixed;
GtkWidget *insert_panel;
GtkWidget *adjust_video;
GtkWidget *Top1;
GtkWidget *overlay_clip;

GtkWidget *opt_panel;
GtkWidget *ovl_fixed;


GtkWidget *current_stack = NULL;

GtkWidget *p22Clip;
GtkWidget *p23Clip;
GtkWidget *p24Clip;
GtkWidget *p25Clip;

GtkWidget *p22TimeLength;
GtkWidget *p23TimeLength;
GtkWidget *p24TimeLength;
GtkWidget *p25TimeLength;

GtkWidget *p1cover;
GtkWidget *p4cover;
GtkWidget *p7cover;
GtkWidget *p10cover;
GtkWidget *searchcover;

GtkWidget *search_back;
GtkWidget *search_first;
GtkWidget *search_forward;
GtkWidget *search_first;
GtkWidget *tile_back;
GtkWidget *tile_first;
GtkWidget *tile_forward;
GtkWidget *tile_last;

GtkWidget *p1Clip;
GtkWidget *p2Clip;
GtkWidget *p3Clip;
GtkWidget *p4Clip;
GtkWidget *p5Clip;
GtkWidget *p6Clip;
GtkWidget *p7Clip;
GtkWidget *p8Clip;
GtkWidget *p9Clip;
GtkWidget *p10Clip;
GtkWidget *p11Clip;
GtkWidget *p12Clip;

GtkWidget *row_nbr0;
GtkWidget *row_nbr1;
GtkWidget *row_nbr2;
GtkWidget *row_nbr3;
GtkWidget *row_nbr4;
GtkWidget *row_nbr5;
GtkWidget *row_nbr6;
GtkWidget *row_nbr7;
GtkWidget *row_nbr8;
GtkWidget *row_nbr9;
GtkWidget *row_nbr10;
GtkWidget *row_nbr11;
GtkWidget *play_clip1;
GtkWidget *pause_frames;
GtkWidget *drawV1;
GtkWidget *frames_per_second;
GtkWidget *Top1;
GtkWidget *sel1;
GtkWidget *sel2;
GtkWidget *sel3;
GtkWidget *sel4;
GtkWidget *esel1;
GtkWidget *esel2;
GtkWidget *esel3;
GtkWidget *esel4;
GtkWidget *overlay_end_lbl;
GtkWidget *overlay_end;
GtkWidget *five_speed;
GtkWidget *quad_speed;
GtkWidget *tripple_speed;
GtkWidget *double_speed;
GtkWidget *full_speed;
GtkWidget *half_speed;
GtkWidget *quarter_speed;
GtkWidget *eighth_speed;
GtkWidget *frame_forward1;
GtkWidget *frame_forward2;
GtkWidget *sp_count;
GtkWidget *loop_stream;
GtkWidget *out_fade;
GtkWidget *in_fade;
GtkWidget *granularity;
GtkWidget *zippy_toy;
GtkWidget *pgedit_back;
GtkWidget *pgedit_back1;
GtkWidget *frame_image;
GtkWidget *frame_image1;
GtkWidget *frame_image2;
GtkWidget *frame_image3;
GtkWidget *frame_image4;
GtkWidget *frame_image5;
GtkWidget *flbl1;
GtkWidget *flbl2;
GtkWidget *flbl3;
GtkWidget *flbl4;
GtkWidget *flbl5;
GtkWidget *rantran;
GtkWidget *select_all;
GtkWidget *clear_all;
GtkWidget *dir_label;
GtkWidget *file_name_entry;
GtkWidget *file_name_cancel;
GtkWidget *file_name_ok;
GtkWidget *file_name;
GtkWidget *monochrome;
GtkWidget *insert_text;
GtkWidget *sharp_y;
GtkWidget *sharp_x;
GtkWidget *sharp_amount;
GtkWidget *text_start;
GtkWidget *text_end;
GtkWidget *text_label;
GtkWidget *dbox4_tv;
GtkWidget *dbox4_sw;
GtkWidget *edge_canny;
GtkWidget *edge_wires;
GtkWidget *edge_colormix;
GtkWidget *view_log;
GtkWidget *clip_length;
GtkWidget *time_7;
GtkWidget *time_8;
GtkWidget *time_9;
GtkWidget *time_10;
GtkWidget *time_11;
GtkWidget *time_12;
GtkWidget *time_13;
GtkWidget *time_14;
GtkWidget *time_2;
GtkWidget *time_3;
GtkWidget *time_4;
GtkWidget *time_15;
GtkWidget *vid_custom;
GtkWidget *vid_640x480;
GtkWidget *vid_720x480;
GtkWidget *vid_1280x720;
GtkWidget *vid_1920x1080;
GtkWidget *vid_3840x2160;
GtkWidget *frame_next;
GtkWidget *strip_audio;
GtkWidget *crop_left;
GtkWidget *crop_right;
GtkWidget *crop_top;
GtkWidget *crop_bottom;
GtkWidget *full_speed;
GtkWidget *posLbl;
GtkWidget *frame_grab;
GtkWidget *join_videos;
GtkWidget *crop_full;
GtkWidget *clear_clip;
GtkWidget *snapshot;
GtkWidget *end_mark;
GtkWidget *start_mark;
GtkWidget *make_clip;
GtkWidget *join_group;
GtkWidget *top1_back;
GtkWidget *top1_back1;
GtkWidget *join_group2;
GtkWidget *join_group3;
GtkWidget *join_group4;
GtkWidget *join_group5;
GtkWidget *join_group6;
GtkWidget *join_group7;
GtkWidget *join_group8;
GtkWidget *join_group9;
GtkWidget *join_group10;
GtkWidget *join_group11;
GtkWidget *join_group12;
GtkWidget *join_group13;
GtkWidget *join_group14;
GtkWidget *join_group15;
GtkWidget *join_group16;
GtkWidget *join_group17;
GtkWidget *join_group18;
GtkWidget *join_group19;
GtkWidget *join_group20;
GtkWidget *join_group21;
GtkWidget *join_group22;
GtkWidget *join_group1;
GtkWidget *ct_fixed;
GtkWidget *ed_fixed;
GtkWidget *crop_reset;
GtkWidget *pg_edit;
GtkWidget *mini_mode;
GtkWidget *time_of_day;
GtkWidget *cam0_image = NULL;
GtkWidget *audio;
GtkWidget *background;
GtkWidget *button10;
GtkWidget *button11;
GtkWidget *button12;
GtkWidget *button13;
GtkWidget *button14;
GtkWidget *button15;
GtkWidget *button2;
GtkWidget *button3;
GtkWidget *button5;
GtkWidget *button6;
GtkWidget *button[8];
GtkWidget *button8;
GtkWidget *button9;
GtkWidget *calibrateLbl;
GtkWidget *cbox1;
GtkWidget *check1;
GtkWidget *check10;
GtkWidget *check11;
GtkWidget *check12;
GtkWidget *check2;
GtkWidget *check3;
GtkWidget *check4;
GtkWidget *check5;
GtkWidget *check6;
GtkWidget *check7;
GtkWidget *check8;
GtkWidget *check9;
GtkWidget *choose1;
GtkWidget *dir_chooser;
GtkWidget *classical;
GtkWidget *clevel;
GtkWidget *club;
GtkWidget *controls;
GtkWidget *currentFile;
GtkWidget *dance;
GtkWidget *del10;
GtkWidget *del11;
GtkWidget *del12;
GtkWidget *del13;
GtkWidget *del14;
GtkWidget *del15;
GtkWidget *del2;
GtkWidget *del3;
GtkWidget *del4;
GtkWidget *del7;
GtkWidget *del8;
GtkWidget *del9;
GtkWidget *draw3;
GtkWidget *clip_markers;
GtkWidget *egg_image;
GtkWidget *empty;
GtkWidget *eqReset;
GtkWidget *first;
GtkWidget *fixed1;
GtkWidget *fixed2;
GtkWidget *fixed_slides;
GtkWidget *g_btn_play;
GtkWidget *g_btn_play2;
GtkWidget *g_dbox4;
GtkWidget *g_image1;
GtkWidget *g_scale1;
GtkWidget *haltProgram;
GtkWidget *highLabel;
GtkWidget *horLabel;
GtkWidget *lbl1;
GtkWidget *lbl10;
GtkWidget *lbl11;
GtkWidget *lbl12;
GtkWidget *lbl2;
GtkWidget *lbl22;
GtkWidget *lbl23;
GtkWidget *lbl24;
GtkWidget *lbl25;
GtkWidget *lbl3;
GtkWidget *lbl4;
GtkWidget *lbl5;
GtkWidget *lbl6;
GtkWidget *lbl7;
GtkWidget *lbl8;
GtkWidget *lbl9;
GtkWidget *live;
GtkWidget *more;
GtkWidget *narrow;
GtkWidget *up1;
GtkWidget *up10;
GtkWidget *up11;
GtkWidget *up12;
GtkWidget *up2;
GtkWidget *up3;
GtkWidget *up4;
GtkWidget *up5;
GtkWidget *up6;
GtkWidget *up7;
GtkWidget *up8;
GtkWidget *up9;
GtkWidget *rampSpeedDown;
GtkWidget *rampSpeedUp;
GtkWidget *sgrStudio;
GtkWidget *sock1;
GtkWidget *sort1;  // alpha sort
GtkWidget *source;
GtkWidget *vlcPosition;
GtkWidget *window;
GtkWidget *scroll = NULL;
GtkWidget *rayLbl;
GtkWidget *frame1;
GtkWidget *drawV;
GtkWidget *micGain;
GtkWidget *xbox2;

GtkCssProvider  *cssProviderUP;
GtkCssProvider  *cssProviderProg;
GtkCssProvider  *cssProviderDOWN;
GtkCssProvider  *cssProviderpauseVideo;
GtkCssProvider  *cssProviderpauseAtEnd;
GtkCssProvider  *cssProvidertooltips;
GtkCssProvider  *cssProvider_top;
GtkCssProvider  *cssProvider_entry1;
GtkCssProvider  *cssProvider_entry2;
GtkCssProvider  *cssProvider_entry2a;
GtkCssProvider  *cssProvider_entry3;
GtkCssProvider  *cssProvider_entry4;

libvlc_instance_t	*inst = NULL;
libvlc_media_player_t	*mediaPlayer = NULL;
libvlc_media_t		*media = NULL;
libvlc_equalizer_t	*equalizer = NULL;

GtkColorButton *back_color;
GtkColorButton *text_color;

GdkColor color;

GtkTextBuffer *TextBuffer;

GtkAdjustment *adjustment37;
GtkAdjustment *adjustment33;
GtkAdjustment *adjustment32;
GtkAdjustment *adjustment31;
GtkAdjustment *adjustment30;
GtkAdjustment *adjustment29;
GtkAdjustment *adjustment28;
GtkAdjustment *adjustment27;
GtkAdjustment *adjustment26;
GtkAdjustment *adjustment25;
GtkAdjustment *adjustment23;
GtkAdjustment *adjustment22;
GtkAdjustment *adjustment21;
GtkAdjustment *adjustment20;
GtkAdjustment *adjustment54;
GtkAdjustment *adjustment40;
GtkAdjustment *adjustment6;
GtkAdjustment *adjustment7;
GtkAdjustment *adjustment1;
GtkAdjustment *adjustment8;
GtkAdjustment *adjustment9;
GtkAdjustment *adjustment10;
GtkAdjustment *adjustment11;
GtkAdjustment *adjustment12;
GtkAdjustment *adjustment13; // back_trans
GtkAdjustment *adjustment14; // text_start
GtkAdjustment *adjustment15; // text_end
GtkAdjustment *adjustment16; // text_size

GtkEntry *OverlayEntry1;
GtkEntry *OverlayEntry2;
GtkEntry *OverlayEntry3;
GtkEntry *entry1;
GtkEntry *entry10;
GtkEntry *entry11;
GtkEntry *entry12;
GtkEntry *entry13;
GtkEntry *entry14;
GtkEntry *entry15;
GtkEntry *entry2;
GtkEntry *entry3;
GtkEntry *entry4;
GtkEntry *entry7;
GtkEntry *entry8;
GtkEntry *entry9;
GtkEntry *g_dbox5Entry;

GdkPixbuf *pixbuf;
GdkPixbuf *cambuf;

GdkWindow *gdk_window;

GError *err;

GtkBuilder      *builder;

int mouse_ul_x, mouse_ul_y;
int mouse_lr_x, mouse_lr_y;

GtkWidget       *p1;
GtkWidget       *p10;
GtkWidget       *p10Time;
GtkWidget       *p10TimeEnd;
GtkWidget       *p10TimeLength;
GtkWidget       *p11;
GtkWidget       *p11Time;
GtkWidget       *p11TimeEnd;
GtkWidget       *p11TimeLength;
GtkWidget       *p12;
GtkWidget       *p12Time;
GtkWidget       *p12TimeEnd;
GtkWidget       *p12TimeLength;
GtkWidget       *p1Time;
GtkWidget       *p1TimeEnd;
GtkWidget       *p1TimeLength;
GtkWidget       *p2;
GtkWidget       *p22, *p23, *p24, *p25;
GtkWidget       *p2Time;
GtkWidget       *p2TimeEnd;
GtkWidget       *p2TimeLength;

GtkWidget       *p3;
GtkWidget       *p3Time;
GtkWidget       *p3TimeEnd;
GtkWidget       *p3TimeLength;
GtkWidget       *p4;
GtkWidget       *p4Time;
GtkWidget       *p4TimeEnd;
GtkWidget       *p4TimeLength;
GtkWidget       *p5;
GtkWidget       *p5Time;
GtkWidget       *p5TimeEnd;
GtkWidget       *p5TimeLength;
GtkWidget       *p6;
GtkWidget       *p6Time;
GtkWidget       *p6TimeEnd;
GtkWidget       *p6TimeLength;
GtkWidget       *p7;
GtkWidget       *p7Time;
GtkWidget       *p7TimeEnd;
GtkWidget       *p7TimeLength;
GtkWidget       *p8;
GtkWidget       *p8Time;
GtkWidget       *p8TimeEnd;
GtkWidget       *p8TimeLength;
GtkWidget       *p9;
GtkWidget       *p9Time;
GtkWidget       *p9TimeEnd;
GtkWidget       *p9TimeLength;

GtkWidget       *scroll2 = NULL;

GtkWidget	*search_scroll;

GdkPixbuf       *pix;       // scaled pictures
GdkPixbuf       *pixIn;     // original (unscaled) pictures


#endif
