/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#+
#+     Internet Radio Automation & Encoding Toolkit
#+
#+     Copyright (C) 2018, 2019, 2020, 2021, 2022, 2023 , 2024, 2025
#+     by Kevin C. O'Kane
#+
#+     Kevin C. O'Kane
#+     kc.okane@gmail.com
#+     https://www.cs.uni.edu/~okane
#+     https://threadsafebooks.com/
#+
#+ This program is free software; you can redistribute it and/or modify
#+ it under the terms of the GNU General Public License as published by
#+ the Free Software Foundation; either version 2 of the License, or
#+ (at your option) any later version.
#+
#+ This program is distributed in the hope that it will be useful,
#+ but WITHOUT ANY WARRANTY; without even the implied warranty of
#+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#+ GNU General Public License for more details.
#+
#+ You should have received a copy of the GNU General Public License
#+ along with this program; if not, write to the Free Software
#+ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#+
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

//	January 18, 2025

#include "includes.h"
#include "defines.h"
#include "common-externs.h"
#include "common-fcn-headers.h"

#include <vlc/libvlc.h>
#include <vlc/libvlc_renderer_discoverer.h>
#include <vlc/libvlc_media.h>
#include <vlc/libvlc_media_player.h>

#define SLASH '/'

void	get_tt(GtkTooltip *tooltip, int row) {

	char tmp[8192];
	char tmp1[8192];
	int i;

	if (strncmp(ProgramArray[row], "https:", 6) == 0 ||
		strncmp(ProgramArray[row], "http:", 5) == 0) {
		
		gtk_tooltip_set_text (tooltip, ProgramArray[row]);
		return;
		}

	strcpy(tmp, ProgramArray[row]);
	gtk_tooltip_set_text (tooltip, tmp);
	return;
	

	sprintf(tmp, "du -h \"%s\"", ProgramArray[row]);

	FILE *f1 = popen(tmp, "r");

	if (f1 == NULL) { 
		return;
		}

	fgets(tmp, 8192, f1);
	fclose(f1);

	if (strlen(tmp) == 0) return;

	tmp[strlen(tmp) -1] = 0;

	for (i = 0; tmp[i] && !isspace(tmp[i]); i++);
	tmp[i] = 0;

	sprintf(tmp1, "Size: %s\n%s\n", tmp, ProgramArray[row]);

	strcat(tmp1, mediaProbe(ProgramArray[row]));

	gtk_tooltip_set_text (tooltip, tmp1);

	}


gboolean on_entry7_query_tooltip(GtkWidget *w,gint x, gint y, 
		gboolean km, GtkTooltip* tooltip) {

	if (e7Row < 0) {
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		return FALSE;
		}

	if (strlen(ProgramArray[e7Row]) == 0) 
		gtk_tooltip_set_text (tooltip, "No current entry in this row");

	else get_tt(tooltip, e7Row);

	return TRUE;
	}

gboolean on_entry8_query_tooltip(GtkWidget *w,gint x, gint y, 
		gboolean km, GtkTooltip* tooltip) {

	if (e8Row < 0) {
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		return FALSE;
		}

	if (strlen(ProgramArray[e8Row]) == 0) 
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		
	else get_tt(tooltip, e8Row);

	return TRUE;
	}

gboolean on_entry9_query_tooltip(GtkWidget *w,gint x, gint y, 
		gboolean km, GtkTooltip* tooltip) {

	if (e9Row < 0) {
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		return FALSE;
		}

	if (strlen(ProgramArray[e9Row]) == 0) 
		gtk_tooltip_set_text (tooltip, "No current entry in this row");

	else get_tt(tooltip, e9Row);

	return TRUE;
	}

gboolean on_entry10_query_tooltip(GtkWidget *w,gint x, gint y, 
		gboolean km, GtkTooltip* tooltip) {

	if (e10Row < 0) {
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		return FALSE;
		}

	if (strlen(ProgramArray[e10Row]) == 0) 
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
	
	else get_tt(tooltip, e10Row);

	return TRUE;
	}

gboolean on_entry11_query_tooltip(GtkWidget *w,gint x, gint y, 
		gboolean km, GtkTooltip* tooltip) {

	if (e11Row < 0) {
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		return FALSE;
		}

	if (strlen(ProgramArray[e11Row]) == 0) 
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
	
	else get_tt(tooltip, e11Row);

	return TRUE;
	}

gboolean on_entry12_query_tooltip(GtkWidget *w,gint x, gint y, 
		gboolean km, GtkTooltip* tooltip) {

	if (e12Row < 0) {
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		return FALSE;
		}

	if (strlen(ProgramArray[e12Row]) == 0) 
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
	
	else get_tt(tooltip, e12Row);

	return TRUE;
	}

gboolean on_entry13_query_tooltip(GtkWidget *w,gint x, gint y, 
		gboolean km, GtkTooltip* tooltip) {

	if (e13Row < 0) {
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		return FALSE;
		}

	if (strlen(ProgramArray[e13Row]) == 0) 
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
	
	else get_tt(tooltip, e13Row);

	return TRUE;
	}

gboolean on_entry14_query_tooltip(GtkWidget *w,gint x, gint y, 
		gboolean km, GtkTooltip* tooltip) {

	if (e14Row < 0) {
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		return FALSE;
		}

	if (strlen(ProgramArray[e14Row]) == 0) 
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
	
	else get_tt(tooltip, e14Row);

	return TRUE;
	}

gboolean on_entry15_query_tooltip(GtkWidget *w,gint x, gint y, 
		gboolean km, GtkTooltip* tooltip) {

	if (e15Row < 0) {
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		return FALSE;
		}

	if (strlen(ProgramArray[e15Row]) == 0) 
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
	
	else get_tt(tooltip, e15Row);

	return TRUE;
	}

gboolean on_entry2_query_tooltip(GtkWidget *w,gint x, gint y, 
		gboolean km, GtkTooltip* tooltip) {

	if (e2Row < 0) {
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		return FALSE;
		}

	if (strlen(ProgramArray[e2Row]) == 0) 
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
	
	else get_tt(tooltip, e2Row);

	return TRUE;
	}

gboolean on_entry3_query_tooltip(GtkWidget *w,gint x, gint y, 
		gboolean km, GtkTooltip* tooltip) {

	if (e3Row < 0) {
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		return FALSE;
		}

	if (strlen(ProgramArray[e3Row]) == 0) 
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
	
	else get_tt(tooltip, e3Row);

	return TRUE;
	}

gboolean on_entry4_query_tooltip(GtkWidget *w,gint x, gint y, 
		gboolean km, GtkTooltip* tooltip) {

	if (e4Row < 0) {
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
		return FALSE;
		}

	if (strlen(ProgramArray[e4Row]) == 0) 
		gtk_tooltip_set_text (tooltip, "No current entry in this row");
	
	else get_tt(tooltip, e4Row);

	return TRUE;
	}


gboolean on_p1_query_tooltip(GtkWidget *w, gint x, gint y, gboolean km, GtkTooltip *tip) {
	if (strlen(ProgramArray[SP->begin]) == 0) {
		gtk_tooltip_set_text (tip, "<empty>");
		return TRUE;
		}
	char tmp[8192];
	strcpy(tmp, ProgramArray[SP->begin]); strcat(tmp, "\n");
	strcat(tmp, mediaProbe(ProgramArray[SP->begin]));
	gtk_tooltip_set_text (tip, tmp);
	return TRUE;
	}

gboolean on_p2_query_tooltip(GtkWidget *w, gint x, gint y, gboolean km, GtkTooltip *tip) {
	if (strlen(ProgramArray[SP->begin + 1]) == 0) {
		gtk_tooltip_set_text (tip, "<empty>");
		return TRUE;
		}
	char tmp[8192];
	strcpy(tmp, ProgramArray[SP->begin + 1]); strcat(tmp, "\n");
	strcat(tmp, mediaProbe(ProgramArray[SP->begin + 1]));
	gtk_tooltip_set_text (tip, tmp);
	return TRUE;
	}

gboolean on_p3_query_tooltip(GtkWidget *w, gint x, gint y, gboolean km, GtkTooltip *tip) {
	if (strlen(ProgramArray[SP->begin + 2]) == 0) {
		gtk_tooltip_set_text (tip, "<empty>");
		return TRUE;
		}
	char tmp[8192];
	strcpy(tmp, ProgramArray[SP->begin + 2]); strcat(tmp, "\n");
	strcat(tmp, mediaProbe(ProgramArray[SP->begin + 2]));
	gtk_tooltip_set_text (tip, tmp);
	return TRUE;
	}

gboolean on_p4_query_tooltip(GtkWidget *w, gint x, gint y, gboolean km, GtkTooltip *tip) {
	if (strlen(ProgramArray[SP->begin + 3]) == 0) {
		gtk_tooltip_set_text (tip, "<empty>");
		return TRUE;
		}
	char tmp[8192];
	strcpy(tmp, ProgramArray[SP->begin + 3]); strcat(tmp, "\n");
	strcat(tmp, mediaProbe(ProgramArray[SP->begin + 3]));
	gtk_tooltip_set_text (tip, tmp);
	return TRUE;
	}

gboolean on_p5_query_tooltip(GtkWidget *w, gint x, gint y, gboolean km, GtkTooltip *tip) {
	if (strlen(ProgramArray[SP->begin + 5]) == 0) {
		gtk_tooltip_set_text (tip, "<empty>");
		return TRUE;
		}
	char tmp[8192];
	strcpy(tmp, ProgramArray[SP->begin + 5]); strcat(tmp, "\n");
	strcat(tmp, mediaProbe(ProgramArray[SP->begin + 5]));
	gtk_tooltip_set_text (tip, tmp);
	return TRUE;
	}

gboolean on_p6_query_tooltip(GtkWidget *w, gint x, gint y, gboolean km, GtkTooltip *tip) {
	if (strlen(ProgramArray[SP->begin + 5]) == 0) {
		gtk_tooltip_set_text (tip, "<empty>");
		return TRUE;
		}
	char tmp[8192];
	strcpy(tmp, ProgramArray[SP->begin + 5]); strcat(tmp, "\n");
	strcat(tmp, mediaProbe(ProgramArray[SP->begin + 5]));
	gtk_tooltip_set_text (tip, tmp);
	return TRUE;
	}

gboolean on_p7_query_tooltip(GtkWidget *w, gint x, gint y, gboolean km, GtkTooltip *tip) {
	if (strlen(ProgramArray[SP->begin + 6]) == 0) {
		gtk_tooltip_set_text (tip, "<empty>");
		return TRUE;
		}
	char tmp[8192];
	strcpy(tmp, ProgramArray[SP->begin + 6]); strcat(tmp, "\n");
	strcat(tmp, mediaProbe(ProgramArray[SP->begin + 6]));
	gtk_tooltip_set_text (tip, tmp);
	return TRUE;
	}

gboolean on_p8_query_tooltip(GtkWidget *w, gint x, gint y, gboolean km, GtkTooltip *tip) {
	if (strlen(ProgramArray[SP->begin + 7]) == 0) {
		gtk_tooltip_set_text (tip, "<empty>");
		return TRUE;
		}
	char tmp[8192];
	strcpy(tmp, ProgramArray[SP->begin + 7]); strcat(tmp, "\n");
	strcat(tmp, mediaProbe(ProgramArray[SP->begin + 7]));
	gtk_tooltip_set_text (tip, tmp);
	return TRUE;
	}

gboolean on_p9_query_tooltip(GtkWidget *w, gint x, gint y, gboolean km, GtkTooltip *tip) {
	if (strlen(ProgramArray[SP->begin + 8]) == 0) {
		gtk_tooltip_set_text (tip, "<empty>");
		return TRUE;
		}
	char tmp[8192];
	strcpy(tmp, ProgramArray[SP->begin + 8]); strcat(tmp, "\n");
	strcat(tmp, mediaProbe(ProgramArray[SP->begin + 8]));
	gtk_tooltip_set_text (tip, tmp);
	return TRUE;
	}

gboolean on_p10_query_tooltip(GtkWidget *w, gint x, gint y, gboolean km, GtkTooltip *tip) {
	if (strlen(ProgramArray[SP->begin + 9]) == 0) {
		gtk_tooltip_set_text (tip, "<empty>");
		return TRUE;
		}
	char tmp[8192];
	strcpy(tmp, ProgramArray[SP->begin + 9]); strcat(tmp, "\n");
	strcat(tmp, mediaProbe(ProgramArray[SP->begin + 9]));
	gtk_tooltip_set_text (tip, tmp);
	return TRUE;
	}

gboolean on_p11_query_tooltip(GtkWidget *w, gint x, gint y, gboolean km, GtkTooltip *tip) {
	if (strlen(ProgramArray[SP->begin + 11]) == 0) {
		gtk_tooltip_set_text (tip, "<empty>");
		return TRUE;
		}
	char tmp[8192];
	strcpy(tmp, ProgramArray[SP->begin + 11]); strcat(tmp, "\n");
	strcat(tmp, mediaProbe(ProgramArray[SP->begin + 11]));
	gtk_tooltip_set_text (tip, tmp);
	return TRUE;
	}

gboolean on_p12_query_tooltip(GtkWidget *w, gint x, gint y, gboolean km, GtkTooltip *tip) {
	if (strlen(ProgramArray[SP->begin + 11]) == 0) {
		gtk_tooltip_set_text (tip, "<empty>");
		return TRUE;
		}
	char tmp[8192];
	strcpy(tmp, ProgramArray[SP->begin + 11]); strcat(tmp, "\n");
	strcat(tmp, mediaProbe(ProgramArray[SP->begin + 11]));
	gtk_tooltip_set_text (tip, tmp);
	return TRUE;
	}
